Name:           python-httpretty
Version:        1.1.4
Release:        1
Summary:        HTTP Client mocking tool for Python
License:        MIT
URL:            https://pypi.org/project/httpretty/
Source0:        https://files.pythonhosted.org/packages/source/h/httpretty/httpretty-%{version}.tar.gz
# https://github.com/gabrielfalcao/HTTPretty/issues/457
Patch0:test_handle_slashes.patch

BuildArch:      noarch

%description
HTTP Client mocking tool for Python.Provides a full fake TCP socket module.

%package   -n   python3-httpretty
Summary:        HTTP Client mocking tool for Python3
BuildRequires:  python3-devel python3-setuptools python3-httplib2 python3-mock python3-freezegun
BuildRequires:  python3-requests python3-sure python3-urllib3 python3-tornado python3-nose2
Requires:       python3-six
%{?python_provide:%python_provide python3-httpretty}

%description -n python3-httpretty
HTTP Client mocking tool for Python3.Provides a full fake TCP socket module.

%prep
%autosetup -n httpretty-%{version} -p1
sed -i 's/^with-randomly = 1$//' setup.cfg
sed -i 's/^rednose = 1$//' setup.cfg

%build
LANG=en_US.UTF-8 %py3_build

%install
LANG=en_US.UTF-8 %py3_install

%check
export EVENTLET_NO_GREENDNS=yes
sed -Ei 's/(test_https?_passthrough)/_\1/' tests/functional/test_passthrough.py
sed -Ei 's/(test_streaming_responses)/_\1/'  tests/functional/test_requests.py
sed -Ei 's/(test_fakesock_socket_sendall_with_body_data_with_chunked_entry)/_\1/' tests/unit/test_core.py
LANG=en_US.UTF-8 %{__python3} -m nose2 -v

%files -n python3-httpretty
%doc README.rst
%license COPYING
%{python3_sitelib}/httpretty
%{python3_sitelib}/httpretty-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 27 2022 Ge Wang <wangge20@h-partners.com> - 1.1.4-1
- Update to version 1.1.4

* Mon Jan 10 2022 baizhonggui <baizhonggui@huawei.com> - 0.9.5-6
- Replace nose from nose2 dependence.

* Wed Aug 5 2020 zhangtao <zhangtao221@huawei.com> - 0.9.5-5
- Remove python2

* Sat Nov 23 2019 zhouyihang <zhouyihang1@huawei.com> - 0.9.5-4
- Package init
